curl --request POST \
--url https://east.sandbox.spade.com/users/{userId}/categories \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"name": "Kitchen Remodel",
"parentId": "011-000-000-000"
}
'import requests
url = "https://east.sandbox.spade.com/users/{userId}/categories"
payload = {
"name": "Kitchen Remodel",
"parentId": "011-000-000-000"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Kitchen Remodel', parentId: '011-000-000-000'})
};
fetch('https://east.sandbox.spade.com/users/{userId}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "4d5419f1-bcde-40f5-9168-7f8989b9c55f",
"name": "Kitchen Remodel",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png",
"fullCategoryHierarchy": [
{
"id": "011-000-000-000",
"name": "Retail",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
},
{
"id": "4d5419f1-bcde-40f5-9168-7f8989b9c55f",
"name": "Kitchen Remodel",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
}
]
}{
"invalidField": [
"This field is required."
]
}{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Create a custom user-level category
Create a custom user-level category.
To learn more about user category personalization, please read the User Category Personalization Guide.
Authorizations
Path Parameters
The userId of the relevant user.
Body
Schema for creating a custom category.
The name of the category (must be unique per integration / user).
"Kitchen Remodel"
The ID of the new category's parent. Can be a Spade category ID (e.g. "011-000-000-000") or a custom category ID (e.g. "e4cf5379-583f-44ed-b625-366044e666e6").
"011-000-000-000"
Response
Successful operation
The newly created category.
A unique identifier for this category.
"4d5419f1-bcde-40f5-9168-7f8989b9c55f"
The category's name
"Kitchen Remodel"
The category's icon, potentially inherited from the parent category.
"https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
Array with increasingly specific category information.
Show child attributes
Show child attributes
[
{
"id": "011-000-000-000",
"name": "Retail",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
},
{
"id": "4d5419f1-bcde-40f5-9168-7f8989b9c55f",
"name": "Kitchen Remodel",
"icon": "https://static.v2.spadeapi.com/categories/ee4ee39fd5474d31ac42f9e606b9040a/light.png"
}
]

